Bug 445077 - Review Request: lsnipes - A text-mode maze game
Review Request: lsnipes - A text-mode maze game
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Stanley
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-03 05:11 EDT by Hans Ulrich Niedermann
Modified: 2008-05-17 18:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.9.4-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-17 18:17:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonstanley: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2008-05-03 05:11:28 EDT
Spec URL: http://ndim.fedorapeople.org/lsnipes/0.9.4-2.fc9/lsnipes.spec
SRPM URL: http://ndim.fedorapeople.org/lsnipes/0.9.4-2.fc9/lsnipes-0.9.4-2.fc9.src.rpm
Description: A text-mode maze game

Linux Snipes is a reimplementation of an old text-mode DOS game. You
are in a maze with a number of enemies (the "snipes") and a few
"hives" which create more of the enemies. Your job is to kill the
snipes and their hives before they get the best of you.  26 "option
levels" let you change characteristics of the game such as whether or
not diagonal shots bounce off the walls.  10 levels of difficulty (only
partially implemented) let you build your skills gradually.
Comment 1 Hans Ulrich Niedermann 2008-05-03 05:15:57 EDT
Scratch build results:

rpmlint output:
Comment 2 Jon Stanley 2008-05-04 13:14:56 EDT
I am not sponsored, this is an unofficial review.

 - Package meets naming and packaging guidelines
 - Spec file matches base package name. OK
 - Spec has consistant macro usage. OK
 - Meets Packaging Guidelines. OK
 - License  OK
 - License field in spec matches OK
 - License file included in package OK
 - Spec in American English OK
 - Spec is legible. OK
 - Sources match upstream md5sum:
$ md5sum ../SOURCES/lsnipes-0.9.4.tgz lsnipes-0.9.4.tgz 
ea5f41dd7942ec6e0cc1187ba78dfc5a  ../SOURCES/lsnipes-0.9.4.tgz
ea5f41dd7942ec6e0cc1187ba78dfc5a  lsnipes-0.9.4.tgz

SCRATCH BULD FOR BELOW: http://koji.fedoraproject.org/koji/taskinfo?taskID=594810

 - Package needs ExcludeArch NA
 - BuildRequires correct OK
 - Spec handles locales/find_lang N/A
 - Package is relocatable and has a reason to be.  N/A
 - Package has %defattr and permissions on files is good.
 - Package has a correct %clean section. OK
 - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) NO
 - Package is code or permissible content. OK
 - Doc subpackage needed/used. NA
 - Packages %doc files don't affect runtime. OK

 - Headers/static libs in -devel subpackage. NA
 - Spec has needed ldconfig in post and postun NA
 - .pc files in -devel subpackage/requires pkgconfig NA
 - .so files in -devel subpackage. NA
 - -devel package Requires: %{name} = %{version}-%{release} NA
 - .la files are removed. NA

 - Package is a GUI app and has a .desktop file NA

 - Package compiles and builds on at least one arch. OK
 - Package has no duplicate files in %files. OK
 - Package doesn't own any directories other packages own. OK
 - Package owns all the directories it creates. NA
 - No rpmlint output. OK
$  rpmlint lsnipes-0.9.4-2.fc9.x86_64.rpm 
 - final provides and requires are sane:
     (include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo
=; rpm -qp --requires $i; echo; done
      manually indented after checking each line.  I also remove the rpmlib junk
and anything provided by glibc.)
 - lsnipes = 0.9.4-2.fc9
 - libX11.so.6()(64bit)    
 - libncurses.so.5()(64bit)  
 - libtinfo.so.5()(64bit)  


 - Should build in mock. OK
 - Should build on all supported archs OK
 - Should function as described. Didn't really test - it runs, display is weird,
suspect that's due to the wrong fonts per upstream webpage.
 - Should have sane scriptlets. NA
 - Should have subpackages require base package with fully versioned depend. NA
 - Should have dist tag OK
 - Should package latest version OK
 - check for outstanding bugs on package. (For core merge reviews) NA

MUST fix:

Specify proper buildroot.
Comment 3 Jon Stanley 2008-05-04 13:16:58 EDT
Gack, one thing I forgot is that I had to go hunting for upstream source.  It's
not really linked on the webpage how to get the specific version.  It's really at:


NOT what's listed in the spec.  This is also a MUST fix item.
Comment 4 Hans Ulrich Niedermann 2008-05-04 16:38:15 EDT
* Fixed upstream source URL.

* Please explain how package BuildRoot differs from preferred BuildRoot:
  I cannot see any difference, both look like
     %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
  to me.

Spec URL: http://ndim.fedorapeople.org/lsnipes/0.9.4-3.fc9/lsnipes.spec
Comment 5 Jon Stanley 2008-05-04 18:31:29 EDT
Sorry, the BuildRoot is fine, and the Source0 location is fixed.  I've now been
sponsored, so this is APPROVED.
Comment 6 Hans Ulrich Niedermann 2008-05-04 19:07:10 EDT
Thank you!
Comment 7 Hans Ulrich Niedermann 2008-05-04 19:09:44 EDT
New Package CVS Request
Package Name: lsnipes
Short Description: A text-mode maze game
Owners: ndim
Branches: F-7 F-8 F-9
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-05-04 22:21:18 EDT
cvs done.
Comment 9 Fedora Update System 2008-05-06 06:48:24 EDT
lsnipes-0.9.4-3.fc9 has been submitted as an update for Fedora 9
Comment 10 Fedora Update System 2008-05-13 11:22:01 EDT
lsnipes-0.9.4-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lsnipes'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3851
Comment 11 Fedora Update System 2008-05-17 18:17:47 EDT
lsnipes-0.9.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.